Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigService

    public interface ConfigService

This interface defines the methods to get different configurations of sever.

Method Summary
`ConfigurationAdhocUpload` | `getConfigurationAdhocUpload()` Gets the configuration for Adhoc upload.
`ConfigurationAdvanced` | `getConfigurationAdvanced()` Gets advanced configuration.
`ConfigurationCache` | `getConfigurationCache()` Gets cache configuration.
`ConfigurationCluster` | `getConfigurationCluster()` Gets configuration for cluster.
`ConfigurationFax` | `getConfigurationFax()` Gets configuration for fax.
`ConfigurationGeoMap` | `getConfigurationGeoMap()` Gets the configuration for geography map.
`ConfigurationLDAP` | `getConfigurationLDAP()` Gets LDAP state configuration.
`ConfigurationLDAPServer` | `getConfigurationLDAPServer()` Gets LDAP server configuration.
`ConfigurationLog` | `getConfigurationLog()` Gets log configuration.
`ConfigurationMail` | `getConfigurationMail()` Gets mail configuration.
`ConfigurationPerformance` | `getConfigurationPerformance()` Gets performance configuration.
`ConfigurationPrecisionMapping` | `getConfigurationPrecisionMapping()` Gets the configuration for precision mapping.
`ConfigurationRMI` | `getConfigurationRMI()` Gets configuration for RMI server.
`ConfigurationService` | `getConfigurationService()` Gets service configuration.
`CustomFieldManager` | `getCustomFieldManager()` Gets the custom field manager.
`OrgConfiguration` | `getOrgConfiguration(java.lang.String orgName)` Get organization configuration.
`boolean` | `isLocalRequest(java.lang.String sURL)` Checks if the request's URL come from local.

Method Detail

### isLocalRequest

    boolean isLocalRequest(java.lang.String sURL)

  Checks if the request's URL come from local.

  Parameters:
    `sURL` - URL of the request.
  Returns:
    true if it comes from local, false otherwise.

### getConfigurationService

    ConfigurationService getConfigurationService()

  Gets service configuration.

  Returns:
    ConfigurationService.
  See Also:
    `ConfigurationService`

### getConfigurationMail

    ConfigurationMail getConfigurationMail()

  Gets mail configuration.

  Returns:
    ConfigurationMail.
  See Also:
    `ConfigurationMail`

### getConfigurationCache

    ConfigurationCache getConfigurationCache()

  Gets cache configuration.

  Returns:
    ConfigurationCache.
  See Also:
    `ConfigurationCache`

### getConfigurationPerformance

    ConfigurationPerformance getConfigurationPerformance()

  Gets performance configuration.

  Returns:
    ConfigurationPerformance.
  See Also:
    `ConfigurationPerformance`

### getConfigurationAdvanced

    ConfigurationAdvanced getConfigurationAdvanced()

  Gets advanced configuration.

  Returns:
    ConfigurationAdvanced.
  See Also:
    `ConfiguarationAdvanced`

### getConfigurationLog

    ConfigurationLog getConfigurationLog()

  Gets log configuration.

  Returns:
    ConfigurationLog.
  See Also:
    `ConfigurationLog`

### getConfigurationLDAPServer

    ConfigurationLDAPServer getConfigurationLDAPServer()

  Gets LDAP server configuration.

  Returns:
    ConfigurationLDAPServer.
  See Also:
    `ConfiguationLDAPServer`

### getConfigurationLDAP

    ConfigurationLDAP getConfigurationLDAP()

  Gets LDAP state configuration.

  Returns:
    ConfigurationLDAP.
  See Also:
    `ConfigurationLDAP`

### getConfigurationCluster

    ConfigurationCluster getConfigurationCluster()

  Gets configuration for cluster.

  Returns:
    ConfigurationCluster.
  See Also:
    `ConfigurationCluster`

### getConfigurationFax

    ConfigurationFax getConfigurationFax()

  Gets configuration for fax.

  Returns:
    ConfigurationFax.
  See Also:
    `ConfigurationFax`

### getConfigurationRMI

    ConfigurationRMI getConfigurationRMI()

  Gets configuration for RMI server.

  Returns:
    ConfigurationFax.
  See Also:
    `ConfigurationFax`

### getConfigurationPrecisionMapping

    ConfigurationPrecisionMapping getConfigurationPrecisionMapping()

  Gets the configuration for precision mapping.

  Returns:
    ConfigurationPrecisionMapping.
  See Also:
    `ConfigurationPrecisionMapping`

### getConfigurationAdhocUpload

    ConfigurationAdhocUpload getConfigurationAdhocUpload()

  Gets the configuration for Adhoc upload.

  Returns:
    ConfigurationAdhocUpload.
  See Also:
    `ConfigurationAdhocUpload`

### getCustomFieldManager

    CustomFieldManager getCustomFieldManager()

  Gets the custom field manager.

  Returns:
    CustomFieldManager.
  See Also:
    `CustomFieldManager`

### getConfigurationGeoMap

    ConfigurationGeoMap getConfigurationGeoMap()

  Gets the configuration for geography map.

  Returns:
    ConfigurationGeographyMap
  See Also:
    `ConfigurationGeoMap`

### getOrgConfiguration

    OrgConfiguration getOrgConfiguration(java.lang.String orgName)

  Get organization configuration.

  Returns:
    OrgConfiguration.
  See Also:
    `OrgConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD